Bug 102691 - [maintainer update] small fixes for emulators/zsnes
Summary: [maintainer update] small fixes for emulators/zsnes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-30 14:00 UTC by Stefan Sperling
Modified: 2006-09-04 16:53 UTC (History)
0 users

See Also:


Attachments
file.diff (1.08 KB, patch)
2006-08-30 14:00 UTC, Stefan Sperling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Sperling 2006-08-30 14:00:33 UTC
	These are a couple of small fixes and improvements I have
	accumulated for the emulators/zsnes port:

	* Heed CFLAGS and CPPFLAGS set in /etc/make.conf.
	  Without this, C/C++ code is not optimised for ${CPUTYPE}
	  but always for i386 instead.
	  CFLAGS were ignored entirely before this update, even
	  though the port contains both C and C++ code.
	  CPPFLAGS were passed to configure but overridden again
	  for the actual compile.
	* Only search headers and libaries in ${X11BASE} if building
	  with X11 support. This is rather cosmetic, really.
	* Fix configure script summary to report correct zsnes version.
	* Fix compiler warnings about __FreeBSD__ being redefined.
Comment 1 Edwin Groothuis freebsd_committer 2006-08-30 14:00:46 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer)
Comment 2 Edwin Groothuis freebsd_committer 2006-08-30 14:00:54 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 freebsd-ports 2006-08-30 14:08:31 UTC
On Wed, Aug 30, 2006 at 01:00:52PM +0000, Edwin Groothuis wrote:
> Maintainer of emulators/zsnes,
> 
> Please note that PR ports/102691 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/102691


Yes, I approve the changes since I've made them myself.
I guess I put a wrong From header in my mail, sorry.
-- 
stefan
http://stsp.in-berlin.de                                 PGP Key: 0xF59D25F0
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-09-04 14:47:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 5 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-09-04 16:52:57 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!